<?php 
ini_set('max_execution_time', 500);
//CONEXIONES
$conexion1 = mysql_connect('postventa.itodoslossantos.cl', 'pvitls_simas', 'postventa')or die(mysql_error());//BASE DE DATOS LOCAL
$conexion2 = mysql_connect('itodoslossantos.cl','ciss_evalle','vain2012')or die(mysql_error());//EXTERNA
$itodos = 'ciss_intranetciss';
$postventa = 'pvitls_postventa';
//BASES DE DATOS
mysql_select_db($postventa,$conexion1)or die(mysql_error());
mysql_select_db($itodos,$conexion2)or die(mysql_error());
$querydepartamento ="SELECT  d.num_departamento,
					d.num_piso,
					p.proyecto,
					pv.id_pro_venta,
					pv.fec_promesa,
					pv.fec_escritura,
                    e.etapa,
					p.proyecto,
					ee.edificio,
					te.num_pisos, 
					te.num_subterraneos,
					t.tip_departamento,
					t.sup_util,
					t.sup_terraza,
					t.num_dormitorios,
					t.num_banos
                    FROM  $itodos.tbl_dptoxedificioxetapaxproy d
                    INNER JOIN  $itodos.tbl_proyecto p ON p.id_proyecto = d.id_proyecto
                    INNER JOIN  $itodos.tbl_tipo_departamentoxproyecto td ON td.id_tip_departamento = d.id_tip_departamento
                    INNER JOIN  $itodos.tbl_etapaxproyecto e ON e.id_etapa = d.id_etapa  AND e.id_proyecto = d.id_proyecto
                    INNER JOIN  $itodos.tbl_edificioxetapaxproyecto ee ON ee.id_edificio = d.id_edificio
                    INNER JOIN  $itodos.tbl_tipo_edificioxproyecto te ON te.id_tip_edificio = ee.id_tip_edificio
                    INNER JOIN  $itodos.tbl_tipo_departamentoxproyecto t ON t.id_tip_departamento = d.id_tip_departamento
                    /*VALIDAR ENTREGADOS  */
                    INNER JOIN $itodos.tbl_proceso_venta pv ON pv.id_departamento = d.id_departamento and pv.estado = 5 
					WHERE  	
					p.id_proyecto =  3 
					or p.id_proyecto = 4  
				    OR p.id_proyecto =  9 
					or p.id_proyecto = 15	
					or p.id_proyecto = 20	
					or p.id_proyecto = 21
					OR p.id_proyecto =  22 
					or p.id_proyecto = 23 
					OR p.id_proyecto =  29
					or p.id_proyecto = 35	
					or p.id_proyecto = 36	
					or p.id_proyecto = 37	 
					or p.id_proyecto =38 
					or  p.id_proyecto =39 
					or p.id_proyecto = 42
					or p.id_proyecto = 43
				    or p.id_proyecto = 40
					or p.id_proyecto = 45	
					or p.id_proyecto = 46	
					or p.id_proyecto = 	47
					or p.id_proyecto = 	48
					or p.id_proyecto = 50
					or p.id_proyecto = 63
					or p.id_proyecto = 49
					or p.id_proyecto = 55
					or p.id_proyecto = 66
					or p.id_proyecto = 54
					";

	


		$resultado = mysql_query($querydepartamento,$conexion2)or die(mysql_error());
		 	if(mysql_num_rows($resultado)> 0){
		 		$num = 0;
		   	 while($fila = mysql_fetch_assoc($resultado)){

				    		$numero = $fila['num_departamento'];
				    		$num_piso = $fila['num_piso'];
				    		$obs_entrega = "";
				    		$obs_pre_entrega = "";
				    		$id_proyecto = buscarIDproyecto($fila['proyecto'],$conexion1);
				    		$fecha_entrega = null;
				    		$fecha_preentrega = null;
				    		$fecha_promesa = $fila['fec_promesa'];
				    		$fecha_escritura = $fila['fec_escritura'];
				    		  //VARIABLES BUSCAR MODELO CONSTRUCCION
							$abreviatura = $fila['edificio'];
							$num_pisos = $fila['num_pisos'];
							$num_subterraneos = $fila['num_subterraneos'];
				    		//BUSCAR
				    		
				    		$id_etapa = buscarIDetapa($fila['etapa'],$id_proyecto,$conexion1);
				  			$id_modelounidaconstruccion = buscarmodelo($abreviatura,$num_pisos,$num_subterraneos,$conexion1);
							//BUSCAR DISEÑO DE LA ETAPA
				  			$id_diseno = buscarIDdisenoEtapa($id_etapa, $id_modelounidaconstruccion, $conexion1);
				  			//BUSCAR EL MODELO DEPARTAMENTO
							$abreviatura_dep = $fila['tip_departamento'];
							$sup_util = $fila['sup_util'];
							$sup_terraza = $fila['sup_terraza'];
							$num_dor = $fila['num_dormitorios'];
				 	 		$num_baños =$fila['num_banos'];
				 	 		$id_modelo ="";
				 	 		if($num_dor == "3" && $num_baños == "2"){
				 	 			$id_modelo = "4";
				 	 		}else if($num_dor == "2" && $num_baños == "1"){
				 	 			$id_modelo ="1";
				 	 		}else if($num_dor == "3" && $num_baños == "1"){
				 	 			$id_modelo = "2";
				 	 		}else if($num_dor == "2" && $num_baños == "2"){
							   $id_modelo = "3";
							}
							//CAMBIAN A FLOAT
							$sup_util_float = floatval($sup_util);
							$sup_terraza_float = floatval($sup_terraza);
				  			//$id_modelo = buscarIDmodelopropiedad($abreviatura_dep,$sup_util_float,$sup_terraza_float,$conexion1);
				  			$id_modelo = 1;
				  			$existe = existedepartamento($numero,$id_diseno,$num_piso,$conexion1);
							  			//echo $numero."-".$id_diseno."-".$id_modelo."-".$num_piso."<br>";
					 		 if($existe == "1"){
					  				//echo $id_diseno."<br>";
					  					echo "SE DEBE ACTUALIZAR"."<br>";
					  			}else{
						  			 $queryInsertar = "INSERT INTO tblpropiedades(ID_DISENOETAPA, ID_MODELO, NUMERO, OBS_PREENTREGA, OBS_ENTREGA,
							  			 												 PISO, FECHA_ENTREGA, FECHA_PREENTREGA, FECHA_PROMESA, FECHA_ESCRITURA)
							  			 						 VALUES ('$id_diseno','$id_modelo','$numero','$obs_pre_entrega','$obs_entrega','$num_piso','$fecha_entrega',
							  			 							 		'$fecha_preentrega','$fecha_promesa','$fecha_escritura')";
										//echo $queryInsertar."<br><br><br>";
										if(mysql_query($queryInsertar,$conexion1)){
								   				echo "GUARDADO"."<br>";
										 }else{
										 			//echo mysql_error();
										 }
					  			}
						$num = $num +1;
		  			}
		  			echo $numero;
		     }else{
		     	echo "NO TRAE FILAS";
		    }

 function existedepartamento($numero,$id_diseno,$num_piso,$conexion1){
 	$resultado = mysql_query("SELECT  ID_PROPIEDAD ,  ID_DISENOETAPA , 
                                      ID_MODELO ,  NUMERO ,   PISO 
                                       FROM  pvitls_postventa.tblpropiedades  
                                      WHERE NUMERO = '$numero' 
                                      AND ID_DISENOETAPA = '$id_diseno'
                                      AND PISO = '$num_piso'",$conexion1); 
 	 if(mysql_num_rows($resultado)> 0){
	 	return "1";
	 }else{
	 	return "0";
	 }

}


function buscarIDproyecto($proyecto,$conexion){
	$resultado = mysql_query("SELECT ID_PROYECTO FROM  pvitls_postventa.tblproyectos WHERE PROYECTO = '$proyecto'",$conexion); 
	while( $resultado = mysql_fetch_array($resultado) ) { 
   		return $resultado['ID_PROYECTO']; 
	}  
}

//BUSCAMOS EL ID DE LA ETAPA
function buscarIDetapa($etapa,$id_proyecto,$conexion){	
$resultado = mysql_query("SELECT ID_ETAPA FROM  pvitls_postventa.tbletapas WHERE ETAPA = '$etapa' AND ID_PROYECTO = '$id_proyecto'",$conexion); 
	while( $resultado = mysql_fetch_array($resultado) ) { 
   		return $resultado['ID_ETAPA']; 
	}  
 }

 function buscarmodelo($abreviatura, $num_pisos,$num_subterraneos,$conexion){
	$resultado = mysql_query("SELECT ID_MODELOUNIDADCONSTRUCCION, ABREVIATURA, SUPERFICIE, NUM_PISOS, NUM_SUBTERRANEOS, CANT_PROPIEDADES
						 FROM  pvitls_postventa.tblmodelounidadconstrucciones 
						 WHERE ABREVIATURA='$abreviatura' AND  NUM_PISOS='$num_pisos' AND NUM_SUBTERRANEOS='$num_subterraneos'",$conexion);

	while( $resultado = mysql_fetch_array($resultado)) { 
   		return $resultado['ID_MODELOUNIDADCONSTRUCCION']; 
	}  
}

function buscarIDdisenoEtapa($id_etapa,$id_modelounidaconstruccion,$conexion){
	$resultado = mysql_query("SELECT ID_DISENOETAPA FROM  pvitls_postventa.tblconfiguracionetapas
							 WHERE ID_ETAPA = '$id_etapa' AND ID_MODELOUNIDADCONSTRUCCION = '$id_modelounidaconstruccion'",$conexion); 
	while( $resultado = mysql_fetch_array($resultado) ) { 
   		return $resultado['ID_DISENOETAPA']; 
	}  

}

function buscarIDmodelopropiedad($abreviatura,$sup_util,$sup_terraza,$conexion){	
	$resultado = mysql_query("SELECT ID_MODELO, ID_TIPOPROPIEDAD, ABREVIATURA, SUP_UTIL, SUP_TERRAZA, SUP_CONSTRUIDA
								 FROM  pvitls_postventa.tblmodelopropiedades WHERE ABREVIATURA = '$abreviatura' AND SUP_UTIL = '$sup_util' AND SUP_TERRAZA = '$sup_terraza'",$conexion); 
	while( $resultado = mysql_fetch_array($resultado) ) { 
   		return $resultado['ID_MODELO']; 
	} 
}


?>